.elementor-widget-cmsmasters-site-logo {
  --logo-image-icon-gap: 20px;
}
.elementor-widget-cmsmasters-site-logo__container {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
}
.cmsmasters-logo-image-position-top
  .elementor-widget-cmsmasters-site-logo__container,
.cmsmasters-logo-subtitle-position-outside
  .elementor-widget-cmsmasters-site-logo__container {
  flex-direction: column;
}
.cmsmasters-logo-title-vertical-alignment-bottom.cmsmasters-logo-subtitle-vertical-position-top
  .elementor-widget-cmsmasters-site-logo__container,
.cmsmasters-logo-title-vertical-alignment-top
  .elementor-widget-cmsmasters-site-logo__container {
  align-items: flex-start;
}
.cmsmasters-logo-title-vertical-alignment-center
  .elementor-widget-cmsmasters-site-logo__container {
  align-items: center;
}
.cmsmasters-logo-title-vertical-alignment-bottom
  .elementor-widget-cmsmasters-site-logo__container,
.cmsmasters-logo-title-vertical-alignment-top.cmsmasters-logo-subtitle-vertical-position-top
  .elementor-widget-cmsmasters-site-logo__container {
  align-items: flex-end;
}
.cmsmasters-logo-image-position-top
  .elementor-widget-cmsmasters-site-logo__container,
.cmsmasters-logo-subtitle-position-outside
  .elementor-widget-cmsmasters-site-logo__container {
  align-items: var(--logo-alignment, flex-start);
}
.cmsmasters-logo-image-position-left
  .elementor-widget-cmsmasters-site-logo__container,
.cmsmasters-logo-image-position-right
  .elementor-widget-cmsmasters-site-logo__container,
.cmsmasters-logo-type-image .elementor-widget-cmsmasters-site-logo__container,
.cmsmasters-logo-type-text .elementor-widget-cmsmasters-site-logo__container {
  justify-content: var(--logo-alignment, flex-start);
}
.elementor-widget-cmsmasters-site-logo
  a.elementor-widget-cmsmasters-site-logo__link {
  text-decoration: none;
  display: flex;
  justify-content: var(--logo-alignment, flex-start);
  transition: inherit !important;
}
.elementor-widget-cmsmasters-site-logo__outside_container {
  display: flex;
  flex-direction: row;
}
.elementor-widget-cmsmasters-site-logo__image-container {
  max-width: 100%;
}
.cmsmasters-logo-image-position-left
  .elementor-widget-cmsmasters-site-logo__image-container {
  margin-right: var(--logo-image-icon-gap);
}
.cmsmasters-logo-image-position-top
  .elementor-widget-cmsmasters-site-logo__image-container {
  margin-bottom: var(--logo-image-icon-gap);
}
.cmsmasters-logo-image-position-right
  .elementor-widget-cmsmasters-site-logo__image-container {
  margin-left: var(--logo-image-icon-gap);
}
.elementor-widget-cmsmasters-site-logo__image-container img {
  max-width: 100%;
  vertical-align: middle;
}
.elementor-widget-cmsmasters-site-logo__image-container
  img.elementor-widget-cmsmasters-site-logo-main.elementor-widget-cmsmasters-site-logo__img {
  display: inline-block;
}
.elementor-widget-cmsmasters-site-logo__image-container
  img.elementor-widget-cmsmasters-site-logo-main.elementor-widget-cmsmasters-site-logo__retina-img {
  display: none;
}
@media only screen and (-moz-min-device-pixel-ratio: 1.5),
  only screen and (-webkit-min-device-pixel-ratio: 1.5),
  only screen and (min-device-pixel-ratio: 1.5),
  only screen and (min-resolution: 144dpi) {
  .elementor-widget-cmsmasters-site-logo__image-container
    img.elementor-widget-cmsmasters-site-logo-main.elementor-widget-cmsmasters-site-logo__retina-img {
    display: inline-block;
  }
  .elementor-widget-cmsmasters-site-logo__image-container
    img.elementor-widget-cmsmasters-site-logo-main.elementor-widget-cmsmasters-site-logo__retina-img
    ~ img {
    display: none;
  }
}
.elementor-widget-cmsmasters-site-logo__image-container
  img.elementor-widget-cmsmasters-site-logo-second {
  display: none;
}
.cmsmasters-mode-switcher-active
  .elementor-widget-cmsmasters-site-logo__image-container
  img.elementor-widget-cmsmasters-site-logo-second.elementor-widget-cmsmasters-site-logo__img {
  display: inline-block;
}
.cmsmasters-mode-switcher-active
  .elementor-widget-cmsmasters-site-logo__image-container
  img.elementor-widget-cmsmasters-site-logo-second.elementor-widget-cmsmasters-site-logo__img
  ~ img {
  display: none;
}
@media only screen and (-moz-min-device-pixel-ratio: 1.5),
  only screen and (-webkit-min-device-pixel-ratio: 1.5),
  only screen and (min-device-pixel-ratio: 1.5),
  only screen and (min-resolution: 144dpi) {
  .cmsmasters-mode-switcher-active
    .elementor-widget-cmsmasters-site-logo__image-container
    img.elementor-widget-cmsmasters-site-logo-second.elementor-widget-cmsmasters-site-logo__retina-img {
    display: inline-block;
  }
  .cmsmasters-mode-switcher-active
    .elementor-widget-cmsmasters-site-logo__image-container
    img.elementor-widget-cmsmasters-site-logo-second.elementor-widget-cmsmasters-site-logo__retina-img
    ~ img {
    display: none;
  }
}
.elementor-widget-cmsmasters-site-logo__icon {
  font-size: 70px;
  display: block;
  transition: all 0.3s ease-in-out;
}
.elementor-widget-cmsmasters-site-logo__icon i {
  display: block;
}
.elementor-widget-cmsmasters-site-logo__icon svg {
  display: block;
  width: 70px;
  height: 70px;
  transition: fill 0.3s ease-in-out;
}
.elementor-widget-cmsmasters-site-logo__text-wrapper {
  display: flex;
  flex-direction: column;
}
.cmsmasters-logo-title-vertical-alignment-bottom.cmsmasters-logo-subtitle-vertical-position-top.cmsmasters-logo-subtitle-position-outside
  .elementor-widget-cmsmasters-site-logo__text-wrapper,
.cmsmasters-logo-title-vertical-alignment-top.cmsmasters-logo-subtitle-position-outside
  .elementor-widget-cmsmasters-site-logo__text-wrapper {
  justify-content: flex-start;
}
.cmsmasters-logo-title-vertical-alignment-center.cmsmasters-logo-subtitle-position-outside
  .elementor-widget-cmsmasters-site-logo__text-wrapper {
  justify-content: center;
}
.cmsmasters-logo-title-vertical-alignment-bottom.cmsmasters-logo-subtitle-position-outside
  .elementor-widget-cmsmasters-site-logo__text-wrapper,
.cmsmasters-logo-title-vertical-alignment-top.cmsmasters-logo-subtitle-vertical-position-top.cmsmasters-logo-subtitle-position-outside
  .elementor-widget-cmsmasters-site-logo__text-wrapper {
  justify-content: flex-end;
}
.cmsmasters-logo-subtitle-vertical-position-top
  .elementor-widget-cmsmasters-site-logo__text-wrapper {
  flex-direction: column-reverse;
}
.cmsmasters-logo-image-position-right
  .elementor-widget-cmsmasters-site-logo__text-wrapper {
  order: -1;
}
.elementor-widget-cmsmasters-site-logo__title-container {
  white-space: nowrap;
}
.elementor-widget-cmsmasters-site-logo__title {
  display: block;
  color: var(--e-global-color-secondary);
  font-size: 32px;
  margin: 0;
  transition: all 0.3s ease-out;
}
.elementor-widget-cmsmasters-site-logo__title a {
  color: var(--e-global-color-secondary);
}
.elementor-widget-cmsmasters-site-logo__title:empty {
  display: none;
}
.elementor-widget-cmsmasters-site-logo__subtitle-container {
  white-space: nowrap;
}
.cmsmasters-logo-subtitle-vertical-position-top
  .elementor-widget-cmsmasters-site-logo__subtitle-container {
  order: -1;
}
.elementor-widget-cmsmasters-site-logo__subtitle {
  color: var(--e-global-color-secondary);
  transition: all 0.3s ease-out;
}
.cmsmasters-logo-title-vertical-alignment-bottom.cmsmasters-logo-subtitle-vertical-position-top
  .elementor-widget-cmsmasters-site-logo__subtitle {
  justify-content: flex-start;
}
.cmsmasters-logo-title-vertical-alignment-top.cmsmasters-logo-subtitle-vertical-position-top
  .elementor-widget-cmsmasters-site-logo__subtitle {
  justify-content: flex-end;
}
.elementor-widget-cmsmasters-site-logo__subtitle a {
  color: var(--e-global-color-secondary);
}
@media (max-width: 767px) {
  .cmsmasters-logo-image-position-top
    .elementor-widget-cmsmasters-site-logo__container,
  .cmsmasters-logo-subtitle-position-outside
    .elementor-widget-cmsmasters-site-logo__container {
    align-items: var(--logo-alignment, center);
  }
  .cmsmasters-logo-image-position-left
    .elementor-widget-cmsmasters-site-logo__container,
  .cmsmasters-logo-image-position-right
    .elementor-widget-cmsmasters-site-logo__container,
  .cmsmasters-logo-type-image .elementor-widget-cmsmasters-site-logo__container,
  .cmsmasters-logo-type-text .elementor-widget-cmsmasters-site-logo__container,
  .elementor-widget-cmsmasters-site-logo
    a.elementor-widget-cmsmasters-site-logo__link {
    justify-content: var(--logo-alignment, center);
  }
}
